apply plugin: 'com.android.application'
apply plugin: 'org.greenrobot.greendao'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    defaultConfig {
        applicationId "com.casic.dcms"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 13
        versionName "v1.0.0.5"

        ndk { abiFilters "armeabi", "armeabi-v7a", "x86_64", "x86" }

        manifestPlaceholders = [
                GETUI_APPID: "DR9oeLL9va6aG3DYXy2w39"
        ]
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    greendao {
        schemaVersion 1//数据库版本号
        targetGenDir 'src/main/java'//设置DaoMaster、DaoSession、Dao目录
        daoPackage 'com.casic.dcms.greendao'//设置DaoMaster、DaoSession、Dao包名
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    //Google官方授权框架
    implementation 'pub.devrel:easypermissions:1.3.0'
    //腾讯Android UI框架
    implementation 'com.qmuiteam:qmui:2.0.0-alpha10'
    implementation 'com.qmuiteam:arch:0.3.1'
    //MVP控件注解
    implementation 'com.jakewharton:butterknife:10.2.1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:10.2.1'
    //图片加载框架
    implementation 'com.github.bumptech.glide:glide:4.7.1'
    //MVP网络请求框架retrofit2+rxjava
    implementation 'io.reactivex:rxjava:1.3.8'
    implementation 'io.reactivex:rxandroid:1.2.1'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.okhttp3:okhttp:4.6.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.8.1'
    implementation 'com.squareup.retrofit2:adapter-rxjava:2.8.1'
    implementation 'com.squareup.okhttp3:logging-interceptor:4.6.0'
    //官方Json解析库
    implementation 'com.google.code.gson:gson:2.8.6'
    //Toast提示
    implementation 'com.sdsmdg.tastytoast:tastytoast:0.1.1'
    //日期选择器
    implementation 'com.jzxiang.pickerview:TimePickerDialog:1.0.1'
    //图表
    implementation 'com.github.PhilJay:MPAndroidChart:v3.1.0'
    //Excel表格
    implementation 'com.github.huangyanbin:SmartTable:1.7.1'
    //个推SDK
    implementation 'com.getui:gtsdk:3.1.4.0'
    //个推核心组件
    implementation 'com.getui:gtc:3.1.0.0'
    //数据库框架
    implementation 'org.greenrobot:greendao:3.3.0'
    //沉浸式状态栏。基础依赖包，必须要依赖
    implementation 'com.gyf.immersionbar:immersionbar:3.0.0'
    //fragment快速实现
    implementation 'com.gyf.immersionbar:immersionbar-components:3.0.0'
    //图片选择框架
    implementation 'com.github.LuckSiege.PictureSelector:picture_library:v2.6.0'
    //视频播放器
    implementation 'cn.jzvd:jiaozivideoplayer:7.6.0'
    //ArcGIS
    implementation 'com.esri.arcgisruntime:arcgis-android:100.10.0'
    //上拉加载下拉刷新
    implementation 'com.scwang.smartrefresh:SmartRefreshLayout:1.1.0'
    //视频压缩
    implementation 'com.iceteck.silicompressorr:silicompressor:2.2.4'
    implementation 'com.googlecode.mp4parser:isoparser:1.1.22'
    //问题跟踪
    implementation 'com.tencent.bugly:crashreport:3.3.92'
    //ZBar扫一扫(综合Java和C++扫码)
    implementation 'cn.bertsir.zbarLibary:zbarlibary:1.4.2'
    //定位功能
    implementation 'com.amap.api:location:latest.integration'
}
